object

# `jwt_openssl`

OpenSSL-backed JWS signature verification helpers.

Availability:
`logtalk_load(jwt(loader))`
Author: Paulo Moura
Version: 1:0:0
Date: 2026-06-26
Compilation flags:
`static, context_switching_calls`
Uses:
crypto
jwt_der
list
os
user
Remarks:
(none)
Inherited public predicates:
(none)

## Public predicates

### `verify/5`

Verifies a JWS signing input and signature using OpenSSL and a PEM public key.

Compilation flags:
`static`
Template:
`verify(Algorithm,PEM,SigningInput,Signature,Options)`
Mode and number of proofs:
`verify(+atom,+atom,+atom,+list(byte),+list(compound))` - `zero_or_one_or_error`
Exceptions:
The OpenSSL executable does not exist:
`existence_error(os_command,Executable)`
`Signature` is not a 64-byte raw ES256 signature:
`domain_error(jwt_es256_signature,Signature)`

## Protected predicates

(no local declarations; see entity ancestors if any)

## Private predicates

(no local declarations; see entity ancestors if any)

## Operators

(none)